Get Model
curl --request GET \
--url https://veogen.studio/api/v1/models/{slug}import requests
url = "https://veogen.studio/api/v1/models/{slug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://veogen.studio/api/v1/models/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Models
Get Model
Retrieve details for a specific model by its slug.
GET
/
api
/
v1
/
models
/
{slug}
Get Model
Path Parameters
The model slug. See List Models for all available slugs.
Response 200 OK
Returns a single model object with the same shape as in List Models.
Example
curl https://veogen.studio/api/v1/models/veo-3.1-fast \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Accept: application/json"
{
"data": {
"slug": "veo-3.1-fast",
"label": "Veo 3.1 Fast",
"type": "video",
"price_usd": 0.30,
"multiply_by_duration": false,
"resolution_multipliers": {
"720p": 1,
"1080p": 1,
"4k": 3
},
"supported_params": ["prompt", "duration", "aspect_ratio", "resolution", "image_urls", "mode"],
"aspect_ratios": ["16:9", "9:16"],
"resolutions": ["720p", "1080p", "4k"],
"durations": [8],
"modes": ["frame", "ingredient"],
"docs_url": "https://veogen.studio/api-reference/models/veo-3.1-fast"
}
}
{
"error": "Model not found."
}
⌘I